Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.topics
Class DMROptimizable

    java.lang.Object
      cc.mallet.topics.DMROptimizable

All Implemented Interfaces:
  Optimizable, Optimizable.ByGradientValue

    public class DMROptimizable

extends java.lang.Object
implements Optimizable.ByGradientValue

Nested Class Summary

Nested classes/interfaces inherited from interface cc.mallet.optimize.Optimizable
`Optimizable.ByBatchGradient, Optimizable.ByCombiningBatchGradient, Optimizable.ByGISUpdate, Optimizable.ByGradient, Optimizable.ByGradientValue, Optimizable.ByHessian, Optimizable.ByValue, Optimizable.ByVotedPerceptron`

Constructor Summary
`DMROptimizable()`
`DMROptimizable(InstanceList instances, MaxEnt initialClassifier)`

Method Summary
`MaxEnt` | `getClassifier()`
`int` | `getNumParameters()`
`double` | `getParameter(int index)`
`void` | `getParameters(double[] buff)`
`double` | `getValue()` The log probability of the observed count vectors given the features.
`void` | `getValueGradient(double[] buffer)`
`void` | `setInterceptGaussianPriorVariance(double sigmaSquared)` Set the variance for the default features (aka intercept terms), generally larger than the variance for the regular features.
`void` | `setParameter(int index, double v)`
`void` | `setParameters(double[] buff)`
`void` | `setRegularGaussianPriorVariance(double sigmaSquared)` Set the variance for regular (non default) features, generally smaller than the variance for the default features.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DMROptimizable

    public DMROptimizable()

### DMROptimizable

    public DMROptimizable(InstanceList instances,
                          MaxEnt initialClassifier)

Method Detail

### setInterceptGaussianPriorVariance

    public void setInterceptGaussianPriorVariance(double sigmaSquared)

  Set the variance for the default features (aka intercept terms), generally larger than the variance for the regular features.

### setRegularGaussianPriorVariance

    public void setRegularGaussianPriorVariance(double sigmaSquared)

  Set the variance for regular (non default) features, generally smaller than the variance for the default features.

### getClassifier

    public MaxEnt getClassifier()

### getParameter

    public double getParameter(int index)

  Specified by:
    `getParameter` in interface `Optimizable`

### setParameter

    public void setParameter(int index,
                             double v)

  Specified by:
    `setParameter` in interface `Optimizable`

### getNumParameters

    public int getNumParameters()

  Specified by:
    `getNumParameters` in interface `Optimizable`

### getParameters

    public void getParameters(double[] buff)

  Specified by:
    `getParameters` in interface `Optimizable`

### setParameters

    public void setParameters(double[] buff)

  Specified by:
    `setParameters` in interface `Optimizable`

### getValue

    public double getValue()

  The log probability of the observed count vectors given the features.

  Specified by:
    `getValue` in interface `Optimizable.ByGradientValue`

### getValueGradient

    public void getValueGradient(double[] buffer)

  Specified by:
    `getValueGradient` in interface `Optimizable.ByGradientValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD